1. pwhimawan's Avatar
    Guys, need help to upgrade system on my bb 8707V. I want to download facebook but my bb gave error :

    ** Sorry, your device doesn't meet the system requirements that are needed to support facebook **

    Currently my bb system is 4.1.0.316.

    Any idea ? Thanks ...
    02-25-09 03:34 AM
LINK TO POST COPIED TO CLIPBOARD